Package org.apache.sling.testing.mock.jcr

# Interface MockQueryResultHandler

@ConsumerType public interface MockQueryResultHandler
Allows to set mocked query results for a mocked `QueryManager`.

## Method Summary

Modifier and Type
Method
Description
`MockQueryResult`
`executeQuery(MockQuery query)`
Checks if this handler accepts the given query, and returns the result if this is the case.

## Method Details

### executeQuery

MockQueryResult executeQuery(MockQuery query)
Checks if this handler accepts the given query, and returns the result if this is the case.

Parameters:
  `query` - Query that is executed
Returns:
  Query result if the query can be executed by this handler. If not, null is returned and other handlers are asked to provide a result.